diff --git a/src/main/conffile.c b/src/main/conffile.c
index 904b65ed2ff2..cdf3390b2157 100644
--- a/src/main/conffile.c
+++ b/src/main/conffile.c
@@ -1894,8 +1894,6 @@ int cf_section_parse(CONF_SECTION *cs, void *base,
 					   variables[i + 1].name);
 			}
 
-			if ((ret == -2) && check_config) continue;
-
 			goto error;
 		}
 	} /* for all variables in the configuration section */
